CREATE TABLE IF NOT EXISTS products(
    id serial primary key,
    slug VARCHAR(255) NULL,
    title VARCHAR(255) NULL,
    barcode VARCHAR(255) NULL,
    qr_code VARCHAR(255) NULL,
    description TEXT NULL,
    category VARCHAR(100) NULL,
    price DECIMAL(10, 2) DEFAULT 0,
    discount_percentage DECIMAL(5, 2) DEFAULT 0,
    rating DECIMAL(3, 2) DEFAULT 0,
    stock INT DEFAULT 0,
    brand VARCHAR(100) DEFAULT NULL,
    sku VARCHAR(50) DEFAULT NULL,
    weight DECIMAL(10, 2) DEFAULT 0,
    warranty_information TEXT DEFAULT NULL,
    shipping_information TEXT DEFAULT NULL,
    availability_status VARCHAR(50) DEFAULT NULL,
    return_policy TEXT DEFAULT NULL,
    minimum_order_quantity INT DEFAULT NULL,
    thumbnail VARCHAR(255) DEFAULT NULL,
    is_active BOOLEAN NOT NULL DEFAULT FALSE,
    created_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
    deleted_at TIMESTAMP NULL DEFAULT NULL
);
